Package org.apache.sysds.runtime.compress.lib

# Class CLALibDecompress

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibDecompress

public final class CLALibDecompress extends Object
Library to decompress a list of column groups into a matrix.

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`decompress(CompressedMatrixBlock cmb, int k)`
`static void`
`decompressDense(MatrixBlock ret, List<AColGroup> groups, double[] constV, double eps, int k, boolean overlapping)`
`static void`
`decompressTo(CompressedMatrixBlock cmb, MatrixBlock ret, int rowOffset, int colOffset, int k, boolean countNNz)`
`static void`
`decompressTo(CompressedMatrixBlock cmb, MatrixBlock ret, int rowOffset, int colOffset, int k, boolean countNNz, boolean reset)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### decompress

public static MatrixBlock decompress(CompressedMatrixBlock cmb, int k)

### decompressTo

public static void decompressTo(CompressedMatrixBlock cmb, MatrixBlock ret, int rowOffset, int colOffset, int k, boolean countNNz)

### decompressTo

public static void decompressTo(CompressedMatrixBlock cmb, MatrixBlock ret, int rowOffset, int colOffset, int k, boolean countNNz, boolean reset)

### decompressDense

public static void decompressDense(MatrixBlock ret, List<AColGroup> groups, double[] constV, double eps, int k, boolean overlapping)